# Interface LayerReference

Matches an existing layer.

interface LayerReference {
id?: string;
path?: string;
subtype?: string;
title?: string;
url?: string;
}

#####
Index

### Properties

id?
path?
subtype?
title?
url?

##
Properties

### `Optional` id

id?: string

The layer's ID.

### `Optional` path

path?: string

The path to the geodatabase used by an MMAP layer. Mobile only.

### `Optional` subtype

subtype?: string

The Layer's type, used for Layer types with multiple possible layer extension mappings.

### `Optional` title

title?: string

The layer's title.

### `Optional` url

url?: string

The layer's url.